import java.awt.* ;
import javax.swing.* ;
import java.awt.event.* ;

public class SwingApplet extends JApplet implements ActionListener {

/*
 * Visuelle komponenter
 */
JButton knap = null ;
JLabel etiket = null ;
JPanel pane = null;
/*
 * Den internet taeller
 */
int taeller =0;

//
// Metoden init() kaldes umiddelbart efter, at SwingApplet er initaliseret
//
	public void init () {
	/*
	 * Opbygger billedet
	 *
	 * Knap-objektet oprettes og udpeges af variablen knap
	 */
        knap = new JButton();
	knap.setText("Tryk mig!");
	knap.setBounds(10,10,100,20);
	knap.setToolTipText("S tryk da for pokker - Kan det g galt?");
	/*
	 * Alle komponentaktiveringer p knappen skal til dette objekt (this)
	 */
	knap.addActionListener(this);
	knap.setMnemonic('T'); // ALT-T er genvejstast

	/*
	 * Etikette-objekter oprettes og udpeges af variablen etiket
	 */
        etiket = new JLabel("Du har ikke trykket endnu");
	etiket.setToolTipText("Hmm ");
	etiket.setBounds(10,40, 200, 20);


	/*
	 * Der oprettes et srligt "panel" til at holde knapperne i
	 * pane peger alts p et container-komponent af typen JPanel
	 */
        pane = new JPanel();
        /*
	 * Med - og uden layoutmanager
	 */
//	pane.setLayout(new GridLayout());
	pane.setLayout(null);
	/*
	 * Tilfj knapperne til pane-objektet
	 */
        pane.add(knap);
        pane.add(etiket);

	/*
	 * Tilfje pane-objektet til ContentPane i SwingApplet-objektet
	 */
        getContentPane().add(pane, BorderLayout.CENTER);
	}

//
// For at reageret p et "tryk" p knappen, skal vi implementere (overskrive) metoden
// actionPerformed i interfaced ActionListener
// 
	public void actionPerformed(ActionEvent e) {
		// behandling af hndelsen e som KUN kan komme
                // fra knap-komponenten
		taeller = taeller + 1;    // tael taeller op
		etiket.setText("Av! jeg er trykket " + taeller + " gange");
		// opdater teksten i etiketten
	}

}
